/* Теоретичні питання
 1. Як можна оголосити змінну у Javascript?
 2. Що таке рядок (string) і як його створити (перерахуйте всі можливі варіанти)?
 3. Як перевірити тип даних змінної в JavaScript?
 4. Поясніть чому '1' + 1 = 11.

 Практичні завдання
 1. Оголосіть змінну і присвойте в неї число. Перевірте, чи ця змінна має тип "number" і виведіть результат в консоль.

 2. Оголосіть змінну name і присвойте їй ваше ім'я. Оголосіть змінну lastName і присвойте в неї Ваше прізвище.
 Виведіть повідомлення у консоль у форматі `Мене звати {ім'я}, {прізвище}` використовуючи ці змінні.

 3. Оголосіть змінну з числовим значенням і виведіть в консоль її значення всередині рядка.
*/

/* 

Теория

1) let var const
2) Строка это тип данных в js, создается строка при создании переменной, например const str = '' / const str2 = "" / const str3 = `` /
3) Проверить тип данных переменной можно оператором typeof()
4) При математическом сложении если оператор видит строку происходит конкатенация 



*/

// Практика 

// 1

const num = 12;

console.log(typeof(num));

// 2


const name = 'Dmytro';

const lastName = 'Nosovskyi';

console.log(`Мене звати ${name} ${lastName}`);

// 3 

const age = 23;

console.log(`Мне сейчас ${age} года`);